
:- dynamic infer_types:enum_type/2.
:- multifile infer_types:enum_type/2.

(type_decl leser(leserNr,nachname,vorname,adresse,jahr)).
(type_decl buch(signatur,autor,titel,standort)).
(type_decl ausleihe(leserNr,signatur,datum,number,janein)).
(type_decl vorbestellung(leserNr,signatur,datum)).

enum_type(leserNr, [2264, 3167, 4238]).
enum_type(vorname, [gabi, hans, michael]).
enum_type(adresse, [modderkamp_13, ossenpad_35, upn_barg_28]).
enum_type(datum, [d(tag, monat, jahr)]).
enum_type(signatur, [a2251, a3325, b3948, b4672, c5674]).
enum_type(nachname, [hauptmann, hiller, kahl, kohler, meyer, mohnhaupt_paulsen, mueller, scholz]).
enum_type(buchtitel, [das_schicksal_grosser_denker, der_mensch_und_das_chaos, mensch_aergere_dich_nicht, reich_werden_kein_problem, vom_sinn_und_unsinn]).
enum_type(standort, [lesesaal, magazin, regal113, regal117]).
enum_type(peano, [0, s(peano)]).
enum_type(janein, [ja, nein]).
enum_type(lst(A), [[A|lst(A)], []]).

:- dynamic range_type/3.
:- multifile range_type/3.

range_type(tag, 1, 31).
range_type(monat, 1, 12).
range_type(jahr, 1900, 2050).
range_type(kalenderwoche, 1, 53).
