write_the_term('<var>'(Name)):-
	write('<font color="blue">'),
	xml_quote_attribute(Name,NameX),
	write(NameX),
	write('</font>').
write_the_term('<a-var>'(_)):-
	write('<font color="blue">_</font>').
write_the_term([A|B]):-!,
	write('['),
	write_the_term(A),
	write_list(B).
write_the_term((A,B)):-!,
	write_the_term(A),
	write(','),
	write_the_term(B).
write_the_term((A:-B)):-!,
	write_the_term(A),
	write('<b>:-</b>'),
	write_the_term(B).	
write_the_term(X):-atom(X),!,
	xml_quote_attribute(X,X2),
	write(X2).
write_the_term(X):-number(X),!,write(X).
write_the_term(F):-
	F=..[Functor|Args],!,
	xml_quote_attribute(Functor,F2),
	write(F2),
	write('('),
	write_arglist(Args),
	write(')').
write_the_term(X):-write(X).
write_arglist([A]):-
	write_the_term(A),!.
write_arglist([A|B]):-
	write_the_term(A),
	write(','),
	write_arglist(B).
write_list([]):-!,write(']').
write_list([A|B]):-!,
	write(','),
	write_the_term(A),
	write_list(B).
write_list(X):-
	write('|'),
	write_the_term(X),
	write(']').

