:- op(900,fx,pred_type).

pred_type num<num.
pred_type num>num.
pred_type num>=num.
pred_type num=<num.

% speziell Bibliothek
pred_type leser(lesernr,name,vorname,adresse,jahr).
pred_type(buch(signatur,name,titel,standort)).
pred_type(ausleihe(lesernr,signatur,datum,num,janein)).
pred_type(vorbestellung(lesernr,signatur,datum)).

subtype(lesernr,num).
subtype(name,atom).
subtype(vorname,atom).
subtype(adresse,atom).
subtype(jahr,range(1900,2050)).
subtype(signatur,atom).
subtype(datum,term(d,[num,num,jahr])).
subtype(range(_,_),num).
subtype(janein,enum([ja,nein])).
subtype(enum(_),atom).

typed_pred(X)-->
	{X=[Pred|Args],
	 XT=[Pred|ArgTypes],
	 pred_type XT},
	verify_arglist(Args,ArgTypes).
