aufgabe(bib,1,'Ist das Buch mit der Signatur b4672 ausgeliehen?').
musterloesung(bib,1,ausleihe(_,b4672,_,_,_)).
musterloesung(bib,1,(ausleihe(_,X,_,_,_),X=b4672)).
% umstndlich, sollte eigentlich automatisch abgeleitet werden

%% Aufgaben und Lsungen zur Bibliotheksdatenbank

testfall(bib,1,1,ausleihe(_,_,_,_)).
diagnose(bib,1,1,[
	 error(arg(1, clause(1, query)),
	       forgotten_arg(ausleihe, 1))]).
fehlertyp(bib,1,1,'Signatur fehlt/Stelligkeit zu klein').
feedback(bib,1,1,'Wo steht die Angabe zur Signatur?').
feedback(bib,1,1,'Wieviele Argumente hat das Prdikat Ausleihe?').

testfall(bib,1,2,ausleihe(b4672,_,_,_,_)).
diagnose(bib,1,2,[error(arg(1, clause(1, query)), type_expected(b4672, leserNr))]).
fehlertyp(bib,1,2,'Signatur steht an der 1. Stelle, nicht an der 2.').

testfall(bib,1,3,ausleihe(b4672,2264,_,_,_)).
diagnose(bib,1,3,
     [error(arg(2, clause(1, query)), type_expected(2264, signatur)),
      error(arg(1, clause(1, query)), type_expected(b4672, leserNr))]).
fehlertyp(bib,1,3,'Argumente vertauscht,berflssige Information').
feedback(bib,1,3,'An welche Position gehrt die Signatur?').
feedback(bib,1,3,'Braucht man die Lesernummer wirklich?').


%Ist das Buch c5674 vorbestellt?
%Ist das Buch a3325 vorbestellt?
%Wo steht das Buch a3325 normalerweise?
%Wo wohnt Michael Hiller?

aufgabe(bib,3,'Welche Leser sind vor dem 1.1.1943 geboren?').
musterloesung(bib,3,(leser(_,Nachname,Vorname,_,GJahr),GJahr<1943)).

testfall(bib,3,1,leser(_,Nachname,Vorname,_,GJahr<1943)).
diagnose(bib,3,1,[error(arg(5, clause(1, query)), inline_compare('<var>'('GJahr')<1943))]).

fehlertyp(bib,3,1,'arithmetischer Vergleich erfordert separates Teilziel').
feedback(bib,3,1,'Darf ein Vergleich auf einer Argumentstelle erfolgen?').

testfall(bib,3,2,(GJahr<1943,leser(_,Nachname,Vorname,_,GJahr))).
fehlertyp(bib,3,2,'Reihenfolge der Teilziele/uninstanziierte Variable').
feedback(bib,3,2,'Die Variable GJahr sollte vor dem Vergleich einen Wert zugewiesen bekommen.').




aufgabe(bib,2,'Wer (Nachname, Vorname) hat das Buch b4672 ausgeliehen?').
musterloesung(bib,2,(ausleihe(LeserNr,b4672,_,_,_),
                     leser(LeserNr,Nachname,Vorname,_,_))).

testfall(bib,2,1,ausleihe(LeserNr,b4672,_,_,_)).
feedback(bib,2,1,'Wie heisst der Leser denn?').

testfall(bib,2,2,(ausleihe(LeserNr,b4672,_,_,_),
                     leser(LeserNr,Nachname,Vorname,Adresse,Geburtsjahr))).
feedback(bib,2,2,'War nach der Adresse gefragt').
feedback(bib,2,2,'War nach dem Geburtsjahr gefragt').



%Welche Buecher muss Leser 2264 bis wann zurueckgeben?
%Wo befindet sich das Buch b3948 derzeit (Standort bzw. ausgeliehen)?
%An wen muessen Mahnungen verschickt werden?
%An wen muessen Benachrichtigungen verschickt werden, um die
%   vorbestellten Buecher abzuholen?

